# Error Messages

The message type for error and status messages is defined as:

For Callback Routine:

uiID_Error_Message = TTS_MSG_STATUS;

For Window Messages:

uiID_Error_Message =

RegisterWindowMessage("DECtalkErrorMessage");

One of the error codes listed below, defined in the ttsapi.h file, is contained in the WPARAM parameter. The LPARAM parameter contains a value of type MMRESULT. The values can be found in the ttsapi.h file.

Parameter
#define ERROR_IN_AUDIO_WRITE
#define ERROR_OPENING_WAVE_OUTPUT_FILE
#define ERROR_GETTING_DEVICE_CAPABILITIES
#define ERROR_READING_DICTIONARY
#define ERROR_WRITING_FILE
#define ERROR_ALLOCATING_INDEX_MARK_MEMORY
#define ERROR_OPENING_WAVE_FILE
#define ERROR_BAD_WAVE_FILE_FORMAT
#define ERROR_UNSUPPORTED_WAVE_FILE_FORMAT
#define ERROR_UNSUPPORTED_WAVE_AUDIO_FORMAT
#define ERROR_READING_WAVE_FILE
#define TTS_AUDIO_START
#define TTS_AUDIO_STOP

Related topics Related topics